Summary:	Graphical client for PostgreSQL
Name:		pgadmin3
Version:	1.22.1
Release:	%mkrel 2
License:	Artistic
Group:		Databases
Source0:	https://ftp.postgresql.org/pub/pgadmin3/release/v%{version}/src/%{name}-%{version}.tar.gz
Patch1:		pgadmin3-1.12.2-desktop-file.patch
URL:		http://www.pgadmin.org/
BuildRequires:	wxgtk-devel >= 2.8
BuildRequires:	postgresql-devel
BuildRequires:	desktop-file-utils
BuildRequires:	libxslt-devel
BuildRequires:	imagemagick

%description
PostgreSQL graphical Tools.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure2_5x --with-wx-version=$(wx-config --release)
%make

%install
%make_install

rm -f %buildroot/usr/share/pgadmin3/docs/en_US/pgadmin3.hhp.cached

desktop-file-install --dir %{buildroot}/%{_datadir}/applications/ \
	pkg/%{name}.desktop

install -d $RPM_BUILD_ROOT{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
convert -size 16x16 pgadmin/include/images/pgAdmin3.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
convert -size 32x32 pgadmin/include/images/pgAdmin3.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -size 48x48 pgadmin/include/images/pgAdmin3.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%files
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Sat Feb 18 2017 cjw <cjw> 1.22.1-2.mga6
+ Revision: 1086664
- use current wxgtk instead of version 2.8

* Mon May 16 2016 cjw <cjw> 1.22.1-1.mga6
+ Revision: 1015859
- 1.22.1
- fix source url

* Tue Feb 16 2016 umeabot <umeabot> 1.18.1-5.mga6
+ Revision: 962056
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 akien <akien> 1.18.1-4.mga6
+ Revision: 883399
- Rebuild for new GCC 5 ABI

* Thu Nov 27 2014 alexl <alexl> 1.18.1-3.mga5
+ Revision: 799482
- fixed desktop file, translated desktop file, sent to upstream (desktop-file.patch)
- moved from spec into desktop-file.patch equivalently

* Tue Nov 25 2014 cjw <cjw> 1.18.1-2.mga5
+ Revision: 799132
- rebuild against postgresql9.4

* Wed Nov 05 2014 cjw <cjw> 1.18.1-1.mga5
+ Revision: 795820
- 1.18.1

* Wed Oct 15 2014 umeabot <umeabot> 1.18.0-4.mga5
+ Revision: 749229
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.18.0-3.mga5
+ Revision: 687074
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.18.0-2.mga4
+ Revision: 537203
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 nanardon <nanardon> 1.18.0-1.mga4
+ Revision: 486514
- 1.18.0

* Sun Jan 13 2013 umeabot <umeabot> 1.14.3-3.mga3
+ Revision: 375645
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 sander85 <sander85> 1.14.3-2.mga3
+ Revision: 340116
- Fix for automake 1.13

* Wed Aug 01 2012 nanardon <nanardon> 1.14.3-1.mga3
+ Revision: 277228
- 1.14.3
- fix #6906 (file world writable)

* Mon Dec 19 2011 nanardon <nanardon> 1.14.1-1.mga2
+ Revision: 184272
- 1.14.1

* Thu Nov 17 2011 nanardon <nanardon> 1.14.0-1.mga2
+ Revision: 168345
- 1.14.0

  + ahmad <ahmad>
    - Rebuild against wxgtk2.8 with enabled catch_segvs

* Fri Apr 08 2011 nanardon <nanardon> 1.12.2-2.mga1
+ Revision: 82395
- imported package pgadmin3

